> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/thesports-docs/advanced-data/best-lineup-details.md).

# Best lineup details

## Best lineup details

> Return to the details of the best lineup data of the season round (the best lineup id,obtained from the best lineup list)\<br/>Request times:120 times/min

```json
{"openapi":"3.0.1","info":{"title":"Football API","version":"1.0.251028"},"tags":[{"name":"ADVANCED DATA","description":"ADVANCED DATA"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/football/competition/best_lineup/detail":{"get":{"tags":["ADVANCED DATA"],"description":"Return to the details of the best lineup data of the season round (the best lineup id,obtained from the best lineup list)<br/>Request times:120 times/min","summary":"Best lineup details","operationId":"getBestLineupDetail","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"},{"name":"uuid","in":"query","description":"Best lineup id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"results":{"$ref":"#/components/schemas/BestLineupDetail"}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username,please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key,please contact business","required":true,"schema":{"type":"string"}}},"schemas":{"BestLineupDetail":{"type":"object","properties":{"info":{"$ref":"#/components/schemas/BestLineupInfo"},"detail":{"type":"array","description":"Player list","items":{"type":"object","description":"Data details","properties":{"team_id":{"type":"string","description":"Team id"},"player_id":{"type":"string","description":"Player id"},"rating":{"type":"integer","description":"Score,10 is the full score,in order to avoid the impact of floating point numbers,x100 times are stored as integers; eg:the calculated score is (760/100=7.60)"},"location_x":{"type":"integer","description":"x coordinate value,a total of 100"},"location_y":{"type":"integer","description":"y coordinate value,a total of 100"},"position":{"type":"string","description":"Player positions,F-forward,M-midfielder,D-guard,G-goalkeeper,others are unknown"}}}}}},"BestLineupInfo":{"type":"object","description":"Data details","properties":{"id":{"type":"string","description":"Best lineup id"},"competition_id":{"type":"string","description":"Competition id"},"season_id":{"type":"string","description":"Season id"},"stage_id":{"type":"string","description":"Stage id"},"name":{"type":"string","description":"name"},"formation":{"type":"string","description":"Formation"},"update_time":{"type":"integer","description":"Data release time"},"updated_at":{"type":"integer","description":"Update time"}}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"common":{"schemas":{"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/thesports-docs/advanced-data/best-lineup-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
